summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_html_howto.sh
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@mapreri.org>2015-08-05 18:09:42 +0000
committerHolger Levsen <holger@layer-acht.org>2015-08-06 18:10:56 +0200
commite9cd5b256716abe0580950111aa61f267874d499 (patch)
tree2064db07eff5cd4c6ff5f4c454efcedc77e6d35d /bin/reproducible_html_howto.sh
parentb0922ed1fcea697d760bc0bc9ac46ed47f1e0dc5 (diff)
downloadjenkins.debian.net-e9cd5b256716abe0580950111aa61f267874d499.tar.xz
reproducible: add a job to build+publish the reproducible builds howto
Diffstat (limited to 'bin/reproducible_html_howto.sh')
-rwxr-xr-xbin/reproducible_html_howto.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/reproducible_html_howto.sh b/bin/reproducible_html_howto.sh
new file mode 100755
index 00000000..e850e1c9
--- /dev/null
+++ b/bin/reproducible_html_howto.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Copyright © 2015 Mattia Rizzolo <mattia@mapreri.org>
+# released under the GPLv=2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+. /srv/jenkins/bin/reproducible_common.sh
+
+set -e
+
+VERSION=$(git log -1 --pretty='%h')
+
+make html
+
+mkdir -pv "$BASE/howto/"
+
+mv -v html/* "$BASE/howto"
+
+irc_message "$REPRODUCIBLE_URL/howto updated to $VERSION"
+
+